
<html>
<body>

<h3> Librnd minimum version: 4.2.0</h3>
<h3> Package summary and dependencies </h3>
<p>
<table border=1>
<tr><th> package <th> depends on (packages) <th> consists of (plugins)
<tr><th>camv-rnd-import<td> camv-rnd-core<td> import_excellon import_gcode import_gerb import_hpgl
<tr><th>camv-rnd-doc<td><td>&nbsp;
<tr><th>camv-rnd-core<td> librnd4<td>(builtin:  io_tedax std_tools)
<tr><th>camv-rnd-export-vector<td> camv-rnd-core librnd4<td> export_ps export_svg
<tr><th>camv-rnd-export-gd<td> camv-rnd-core librnd4-pixmap<td> export_png
<tr><th>camv-rnd-export-extra<td> camv-rnd-core camv-rnd-export-vector<td> export_lpr
<tr><th>camv-rnd-lib-gui<td> camv-rnd-core librnd4-lib-gui<td> dialogs gui
<tr><th>camv-rnd<td>camv-rnd-core camv-rnd-import camv-rnd-lib-gui librnd4-hid-gtk2-gdk camv-rnd-export-gd camv-rnd-export-vector camv-rnd-doc<td>&lt;metapackage&gt;
</table>
<h3> Package description and files </h3>
<table border=1>
<tr><th> package <th> files <th> short <th> long
<tr><th>camv-rnd-import<td> $P/import_excellon.pup $P/import_excellon.so $P/import_gcode.pup $P/import_gcode.so $P/import_gerb.pup $P/import_gerb.so $P/import_hpgl.pup $P/import_hpgl.so <i>$C/import_gcode.conf</i><td>	Standard import file format support (PCB).<td>	 	Plugins for loading gerber layers, excellon drill files and g-code files.  
<tr><th>camv-rnd-doc<td>/usr/share/doc/* <i></i><td>	Documentation for camv-rnd<td>	 	User manual and developer doc (html).  
<tr><th>camv-rnd-core<td> $PREFIX/bin/camv-rnd $PREFIX/share/man/man1/camv-rnd.1 $C/conf_core.lht $C/menu.lht <i></i><td>	camv-rnd executable with the core functionality and boxsym-rnd<td> 	Includes the data model, the most common action commands, the native file 	format. Can be used in headless mode or batch/scripted mode for automated 	processing or with GUI (if camv-rnd-lib-gui and librnd GUI HIDs are installed).  
<tr><th>camv-rnd-export-vector<td> $P/export_ps.pup $P/export_ps.so $P/export_svg.pup $P/export_svg.so <i></i><td>	Export formats: vector graphics<td> 	Common vector graphic export formats: ps, eps, svg.  
<tr><th>camv-rnd-export-gd<td> $P/export_png.pup $P/export_png.so <i></i><td>	Export formats that require libgd.<td> 	Bitmap export plugin (png, jpeg, etc.)  
<tr><th>camv-rnd-export-extra<td> $P/export_lpr.pup $P/export_lpr.so <i></i><td>	Export formats: special/extra<td> 	Less commonly used export formats: direct printing with lpr.  
<tr><th>camv-rnd-lib-gui<td> $P/dialogs.pup $P/dialogs.so $P/gui.pup $P/gui.so <i></i><td>	Support library for building the GUI.<td> 	Provides camv-rnd specific dialog boxes and top window GUI elements. 
<tr><th>camv-rnd<td> <i></i><td>	Standard installation of camv-rnd<td> 	Install camv-rnd core and the most commonly used plugins.  
</table>
<h3> External dependencies of Ppackages </h3>
<p>Note: package names differ from distro to distro, this table only approximates the packahge names external dependencies have on your target.
<p>Note: every package that has .so files in it depends on librnd.
<p>
<table border=1>
<tr><th> package <th> extneral dependencies
<tr><th>camv-rnd-import<td>
<tr><th>camv-rnd-doc<td>
<tr><th>camv-rnd-core<td>
<tr><th>camv-rnd-export-vector<td>
<tr><th>camv-rnd-export-gd<td>librnd-pixmap
<tr><th>camv-rnd-export-extra<td>
<tr><th>camv-rnd-lib-gui<td>
<tr><th>camv-rnd<td>
</table>
<p>File prefixes:<ul>
	<li> $P: plugin install dir (e.g. /usr/lib/camv-rnd/)
	<li> $C: conf dir (e.g. /etc/camv-rnd/)
	<li> $PREFIX: installation prefix (e.g. /usr)
</ul>
<h3> ./configure arguments </h3>
--all=disable
--buildin-io_tedax
--buildin-std_tools
--plugin-export_ps
--plugin-import_gcode
--plugin-import_excellon
--plugin-export_lpr
--plugin-import_gerb
--plugin-export_svg
--plugin-import_hpgl
--plugin-gui
--plugin-dialogs
--plugin-export_png

</body>
</html>

